Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Virgo, Java 8, Blueprint/Spring 4.x, Tooling (Plans to update to latest versions?)
Virgo, Java 8, Blueprint/Spring 4.x, Tooling [message #1411081] Fri, 22 August 2014 10:46 Go to next message
Eddie Mc Greal is currently offline Eddie Mc GrealFriend
Messages: 4
Registered: July 2009
Junior Member
The latest version of Spring 4.x does not work because of changes that are incompatible with the current Blueprint (Gemini) implementation.

In addition the Virgo tooling doesn't work with Luna.

It seems to us that there is very little activity in the Virgo development community - i.e. Blueprint and Virgo Tooling is not being kept up to date with the latest Spring and Eclipse versions. Is this impression correct?

Are there plans to remedy this situation or is Virgo dying slowly?

We think Virgo is an excellent project and it would be sad to see it fade away!

Re: Virgo, Java 8, Blueprint/Spring 4.x, Tooling [message #1412313 is a reply to message #1411081] Mon, 25 August 2014 21:20 Go to previous messageGo to next message
Tom Wolf is currently offline Tom WolfFriend
Messages: 1
Registered: August 2014
Junior Member
Looking forward for Spring 4 support too to evaluate it but seems like they still don't have approvals. Hopefully in 3.6.4:
Quote:
Hi,

We do not have approvals neither for Spring 3.2 nor Spring 4.

If I start them now I have to delay Virgo 3.6.3.

I plan an update for Apache Tomcat when 7.0.55 is released so we may try to include Spring x version in 3.6.4. Wdyt?

Please create an enhancement (if there is no such) for Spring update.

Regards,
Violeta

http://dev.eclipse.org/mhonarc/lists/virgo-dev/msg01531.html

also there is transition of bundle repository from SpringSource to Eclipse and new bundles for spring are not generated.

Quote:
The repository is frozen but will remain accessible until at least 1 September 2014. See http://www.eclipse.org/ebr/ for information regarding the Eclipse Bundle Recipes project to which users of the SpringSource Enterprise Bundle Repository should transition.

ebr.springsource.com/repository/app/faq#q2

There might be some problems using JavaConfig as well, not even mention support for WebApplicationInitializer class instead of web.xml that should work with servlet 3.0 and was not detected in latest Virgo.
Re: Virgo, Java 8, Blueprint/Spring 4.x, Tooling [message #1414047 is a reply to message #1412313] Sat, 30 August 2014 04:28 Go to previous messageGo to next message
Violeta Georgieva is currently offline Violeta GeorgievaFriend
Messages: 276
Registered: October 2010
Senior Member
Tom Wolf wrote on Tue, 26 August 2014 00:20
Looking forward for Spring 4 support too to evaluate it but seems like they still don't have approvals. Hopefully in 3.6.4:


In 3.6.4 our target is 3.2.10 - http://dev.eclipse.org/mhonarc/lists/virgo-dev/msg01540.html

For Spring 4 we need a change in Gemini Blueprint - https://bugs.eclipse.org/bugs/show_bug.cgi?id=439964

Regards,
Violeta
Re: Virgo, Java 8, Blueprint/Spring 4.x, Tooling [message #1470350 is a reply to message #1414047] Wed, 12 November 2014 09:14 Go to previous messageGo to next message
Eddie Mc Greal is currently offline Eddie Mc GrealFriend
Messages: 4
Registered: July 2009
Junior Member
Looks like Gemini now supports Spring 4 (code is in Git but not released yet)
Re: Virgo, Java 8, Blueprint/Spring 4.x, Tooling [message #1472989 is a reply to message #1470350] Fri, 14 November 2014 08:46 Go to previous message
Violeta Georgieva is currently offline Violeta GeorgievaFriend
Messages: 276
Registered: October 2010
Senior Member
Hi,

Please follow this discussion [1].

Regards,
Violeta

[1] https://www.eclipse.org/forums/index.php/t/642416/
Previous Topic:Support for Spring 4.0
Next Topic:Update Virgo with org.eclipse.osgi_3.9.1
Goto Forum:
  


Current Time: Wed Sep 19 22:52:07 GMT 2018

Powered by FUDForum. Page generated in 0.01939 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top